Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Segher Boessenkool <[email-masked]>
Date: Fri, 15 Jun 2007 10:42:33 +0200

>> So I think the best thing to have would be
>>
>> 	compatible      "cfi-flash"
>> 	bank-width      like you said
>> 	device-width    width of a single flash device
>> 	reg             complete address range of this thing
>>
>> and then the Linux OF CFI flash code / MTD code just keeps
>> on probing devices from that address range until it has it
>> filled.
>>
>> Sounds good / comments / anything I missed?
>
> Slight revision suggestion.  Can we make 'device-width' optional, with
> the default value being equal to the bank-width?

Yes, certainly.  Or, the other way around I like better
("bank-width" optional).

I didn't say all these properties were required anyway,
this is still a very rough draft.

Segher